/*
 * Copyright (c) 1991-2023 by STEP Tools Inc. 
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and
 * its documentation is hereby granted, provided that this copyright
 * notice and license appear on all copies of the software.
 * 
 * STEP TOOLS MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
 * SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. STEP TOOLS
 * SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A
 * RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS
 * DERIVATIVES.
 *
 * Author: Dave Loffredo (loffredo@steptools.com)
 */


// Construct the various common SI and English units.  Note that CIS/2
// usage handles english/degree units differently than STEP.  Instead
// of using conversion-based unit, CIS/2 just uses a context-dependent
// unit with the appropriate name.
//
named_unit * make_meter_unit(
    RoseDesign * d = 0
    );
named_unit * make_mm_unit(
    RoseDesign * d = 0
    );

named_unit * make_foot_unit(
    RoseDesign * d = 0
    );
// Make a conversion-based foot unit as is done in STEP
named_unit * make_foot_unit_as_cbu(
    RoseDesign * d = 0
    );


named_unit * make_inch_unit(
    RoseDesign * d = 0
    );
// Make a conversion-based inch unit as is done in STEP
named_unit * make_inch_unit_as_cbu(
    RoseDesign * d = 0
    );

named_unit * make_radian_unit(
    RoseDesign * d = 0
    );

named_unit * make_degree_unit(
    RoseDesign * d = 0
    );
// Make a conversion-based degree unit as is done in STEP
named_unit * make_degree_unit_as_cbu(
    RoseDesign * d = 0
    );

named_unit * make_steradian_unit(
    RoseDesign * d = 0
    );
